﻿var strings = { 
"en" : {
    "unsupported.browser.warn" : "The TI-Nspire&trade; Document Player is not supported in this browser or operating system. {help}",
    "unsupported.browser.button" : "<p id=\"button_message\">You may continue to launch the TI-Nspire&trade; Document Player, but be aware some features may not work properly.</p><p id=\"button_actions\"><button id=\"message_button\" onClick=\"loadPlayer()\">Continue</button><button id=\"message_button\" onClick=\"removeButtons()\">Cancel</button></p>",
    "unsupported.browser.button.reload" : "<p id=\"button_message\">You may continue to launch the TI-Nspire&trade; Document Player, but be aware some features may not work properly.</p><p id=\"button_actions\"><button id=\"message_button\" onClick=\"reloadWithoutValidations()\">Continue</button><button id=\"message_button\" onClick=\"removeButtons()\">Cancel</button></p>",
    "unsupported.os.family.error" : "Unsupported OS family. TI-Nspire&trade; Document Player runs in both Windows and Mac OSx 32-bit platforms. {help}",
    "java.enabled.error" : "<p>Java is not enabled in this browser. Please, enable it in order to be able to run TI-Nspire&trade; Document Player application. {help}</p>",
    "java.version7.error" : "<p>Java Version 1.6 (Update 22 or later) is required to run the TI-Nspire&trade; Document Player. Please install or update Java Version 1.6 (also known as Java SE 6) before running this application. If the correct version of Java is already installed, verify that Java is enabled in your browser preferences.</p><p id=\"button\"><a href=\"javascript: void(0)\" onclick=\"window.open('linktojavadownload', '_blank', ''); return false;\">Click here to install Java now.</a></p>{help}",
    "java.version.error" : "<p>Java Version 6 Update 22 (version number 1.6.0_22) or later is required to run the TI-Nspire&trade; Document Player. Please install or update Java before running this application. If Java is already installed, verify that Java is enabled in your browser preferences.</p><p id=\"button\"><a href=\"javascript: void(0)\" onclick=\"window.open('http://java.sun.com/webapps/getjava/BrowserRedirect?host=java.com', '_blank', ''); return false;\">Click here to install Java now.</a></p>{help}",
    "java.plugin2.notenabled.mac.warn" : "<h2>To run the TI-Nspire&trade; Document Player you will need to adjust your Java settings\:</h2><b>Mac OS X</b><ol><li>From the \"Finder\" app, select \"Applications&gt;Utilites&gt;Java Preferences\".</li><li>On the \"General\" tab, select \"Run applets\: In their own process\".</li><li>Close the Finder and refresh this page.</li></ol>{help}",
    "java.plugin2.notenabled.win.warn" : "<h2>To run the TI-Nspire&trade; Document Player you will need to adjust your Java settings\:</h2><b>Windows</b><ol><li>From the \"Start\" menu, select \"Control Panel\".</li><li>Search \"Java\" application and open it.</li><li>On the \"Advanced\" tab expand \"Java Plug-in\" option and check the \"Enable the next-generation Java Plug-in (requires browser restart)\".</li></ol>{help}",
    "java.plugin2.notenabled.button" : "<p id=\"button_message\"><p>You may continue to launch the TI-Nspire&trade; Document Player, but be aware that more than two TI-Nspire&trade; Document Player won't work in the same page and some features may not work properly.</p><p>Whether You are behind a proxy you will need to configure it manually:<p><ol><li>Follow the above steps until open the \"Java Preferences\"</li><li> On the \"Network Settings\", select  \"Use proxy server\" option or \"Use automatic proxy configuration script\", then set your proxy configuration.</p><p id=\"button_actions\"><button id=\"message_button\" onClick=\"loadPlayer()\">Continue</button><button id=\"message_button\" onClick=\"removeButtons()\">Cancel</button></p><p>",
    "help.link.message" : "<p>For more information, see the <a href=\"http://epsstore.ti.com/OA_HTML/csksxvm.jsp?nSetNumber=27790\" target=\"_blank\">TI Education Technology Support Knowledge Base</a> or <a href=\"http://education.ti.com/educationportal/sites/US/nonProductSingle/support_worldwide.html\" target=\"_blank\">Contact TI Support.</a></p>",
    "continue.running.message" : "Continue",
    "cancel.running.message" : "Cancel",
    "unknown.browser.message" : "Unknown Browser",
    "unsupported.mac.os.family.error" : "The TI-Nspire&#8482; Document Player is not yet available for Apple&#8482; Mac&#8482; computers. See <a href=\"http://education.ti.com/nspireplayer\" target=\"_blank\">http://education.ti.com/nspireplayer</a> for the latest information.<br/>" +
    "TI-Nspire&#8482; Document Player er endnu ikke tilgængelig til Apple&#8482; Mac&#8482;-computere. Få den nyeste information på: http://education.ti.com/nspireplayer.<br/>"+
    "Der TI-Nspire&#8482; Document Player ist für Apple&#8482; Mac&#8482; Computer noch nicht verfügbar.  Siehe http://education.ti.com/nspireplayer um die aktuellsten Informationen abzurufen.<br/>"+
    "TI-Nspire&#8482;-asiakirjasoitinta ei ole vielä saatavilla Apple&#8482; Mac&#8482; -tietokoneisiin. Katso viimieisimmät uutiset täältä http://education.ti.com/nspireplayer.<br/>"+
    "TI-Nspire&#8482; Document Player n’est pas encore disponible pour les ordinateurs Apple&#8482; Mac&#8482;. Voir http://education.ti.com/nspireplayer pour les dernières informations.<br/>"+
    "Il lettore di documenti TI-Nspire&#8482; non è ancora disponibile per computer Apple&#8482; Mac&#8482;. Per ulteriori informazioni, vedere http://education.ti.com/nspireplayer. <br/>"+
    "TI-Nspire&#8482; Document Player aún no está disponible para computadoras Apple&#8482; Mac&#8482;.  Consulte la información más reciente en http://education.ti.com/nspireplayer.<br/>"+
    "De TI-Nspire&#8482; Document Player is nog niet beschikbaar voor Apple&#8482; Mac&#8482; computers.  Ga naar  http://education.ti.com/nspireplayer voor de meest recente informatie.<br/>"+
    "TI-Nspire&#8482; Document Player er ikke tilgjengelig for Apple&#8482; Mac&#8482; datamaskiner. Se http://education.ti.com/nspireplayer for siste informasjon.<br/>"+
    "O Leitor de documentos TI-Nspire&#8482; não se encontra ainda disponível para computadores Mac&#8482; da Apple&#8482;. Consulte http://education.ti.com/nspireplayer para obter as informações mais recentes.<br/>"+
    "Dokumentspelaren TI-Nspire&#8482; finns ännu inte tillgänglig för Apple&#8482; Mac&#8482; datorer. Gå in på http://education.ti.com/nspireplayer för senaste information.<br/>"+
    "TI-Nspire&#8482; 文件播放器尚?适用于 Apple&#8482; Mac&#8482; 电脑。请?阅 http://education.ti.com/nspireplayer 获?最新信?。"
    }/*, ************ PLEASE REMOVE COMMENT FOR LOCALIZATION SUPPORT. ************
"es" : {
    "unsupported.browser.warn" : "El TI-Nspire&trade; Document Player no esta soportado en este explorador o sistema operativo. {help}",
    "unsupported.browser.button" : "<tr><td></td><td><div id=\"td_button_message\">Pudes continuar corriendo el TI-Nspire&trade; Document Player, pero puede que algunas caracteristicas no funcionen apropiadamente.</div></td></tr><tr><td colspan=\"2\" id=\"button\"><button id=\"message_button\" onClick=\"loadPlayer()\">Continuar</button><button id=\"message_button\" onClick=\"removeButtons()\">Cancelar</button></td></tr>",
    "unsupported.os.family.error" : "Sistema Operativo no soportado. TI-Nspire&trade; Document Player corre en plataformas Windows y Mac OSx 32-bit. {help}",
    "java.enabled.error" : "<p>Java no esta habilitado en este explorador, Por favor, habilitalo para seguir corriendo el TI-Nspire&trade; Document Player. {help}</p>",
    "java.version.error" : "<p>Java Version 6 Update 22 (version number 1.6.0_22) o mayor es requerida para correr TI-Nspire&trade; Document Player. Por favor, instale o actualice Java antes de correr esta aplicacion. Si Java ya esta instalado verifique in las preferencias de su navegador que Java esta habilitado. {help}</p><p>Usted sera automaticamente redireccionado a la pagina de descargas de Java en :<br/><center><div id=\"time_div\"><font id=\"timer\">{0}</font> segundos</div></center></br></p><p>Si usted no es redireccionado en este tiempo, presione el siguiente link: <a href=\"javascript: void(0)\" onclick=\"window.open('http://java.sun.com/webapps/getjava/BrowserRedirect?host=java.com', '_blank', ''); return false;\">Descargas Java</a> para instalar.</p>",
    "help.link.message" : "Para mayor infomacion, visite nuestra la <a href=\"javascript: void(0)\">pagina de ayuda para el TI-Nspire&trade; Document Player</a>.",
    "continue.running.message" : "Continuar",
    "cancel.running.message" : "Cancelar",
    "unknown.browser.message" : "Explorador desconocido"
}*/
};

/**
 * Gets the translated strings regarding the browser locale.
 * @param id the string id.
 * @return the translated strings if defined, 'undefined' string otherwise.
 */
function getString(locale, id) {
    if(typeof(strings) == 'undefined') {
        return 'undefined';
    }
    if(locale == null || locale == "" || typeof(locale) == 'undefined') {
        return 'undefined';
    }
    if(id == null || id == "" || typeof(id) == 'undefined') {
        return 'undefined';
    }
    var key = locale.toLowerCase();
    if(/^(es|en)(-|_)?[a-z]{1,2}/ig.test(key)) {
        key = key.substring(0,2);
    }
    if(strings[key] == null || strings[key] == 'undefined') {
        key = "en";
    }
    var str = strings[key][id];
    if(typeof(str) == 'undefined' && key != "en") {
        str = strings["en"][id];
    }
    return str;
}

String.prototype.format = function() { 
    var str = this;
    for(var i = 0; i < arguments.length; i++) {
        var regex = new RegExp("\\{" + i + "\\}", "gm");
        str = str.replace(regex, arguments[i]);
    }
    return str;
}
